#!/bin/sh

# This is the place for the scripts that are a bit more involved than can be
# expressed in shell aliases or functions, or that I want to access from dmenu.
# These are pretty messy but most of them work. Pretty easy for bugs to hide in
# here so I go in with pesticide often.

set -x
mkdir -p $HOME/bin/oneliners || exit
cd $HOME/bin/oneliners

SHEBANG="#!/bin/sh\n"

DMENU_LINES="40"

# private bookmarks
printf $SHEBANG'$BROWSER file://$HOME/bookmarks.html\n' >bmarks

# youtube-dl stuff
printf $SHEBANG"youtube-dl --add-metadata -i -o \"$HOME/%%(upload_date)s %%(title)s.%%(ext)s\" \"\$@\"\n" >youtube-dlo
printf $SHEBANG"youtube-dlo -f \"bestvideo[vcodec=vp9]+bestaudio[acodec=opus]\" \"\$@\"\n" >youtube-dlp
printf $SHEBANG"youtube-dlp -f \$(youtube-dl -F \$1 | tail +4 | dmenu -p \"Choose a format.\" -l $DMENU_LINES | awk '{ print \$1 }') \"\$@\"\n" >youtube-dl-interactive
printf $SHEBANG"youtube-dl-interactive \"\$@\" -o - | mpv -\n" >youtube-dl-mpv
